StructuredSyntaxHandler (Groovy 3.0.7)

Package groovy.ui.text

## Class StructuredSyntaxHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - groovy.ui.text.StructuredSyntaxHandler

- All Implemented Interfaces:
    `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

      @Deprecated
      public class StructuredSyntaxHandler
      extends DefaultHandler

  Deprecated.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ALIGN_CENTER` | Deprecated.
    `static String` | `ALIGN_JUSTIFIED` | Deprecated.
    `static String` | `ALIGN_LEFT` | Deprecated.
    `static String` | `ALIGN_RIGHT` | Deprecated.
    `static String` | `ALIGNMENT` | Deprecated.
    `static String` | `BACKGROUND` | Deprecated.
    `static String` | `BIDI_LEVEL` | Deprecated.
    `static String` | `BOLD` | Deprecated.
    `static String` | `COMPONENT_ATTRIBUTE` | Deprecated.
    `static String` | `COMPONENT_ELEMENT_NAME` | Deprecated.
    `static String` | `COMPOSED_TEXT_ATTRIBUTE` | Deprecated.
    `static String` | `FIRST_LINE_INDENT` | Deprecated.
    `static String` | `FONT_FAMILY` | Deprecated.
    `static String` | `FONT_SIZE` | Deprecated.
    `static String` | `FOREGROUND` | Deprecated.
    `static String` | `ICON_ATTRIBUTE` | Deprecated.
    `static String` | `ICON_ELEMENT_NAME` | Deprecated.
    `static String` | `ITALIC` | Deprecated.
    `static String` | `LEFT_INDENT` | Deprecated.
    `static String` | `LINE_SPACING` | Deprecated.
    `static String` | `MODEL_ATTRIBUTE` | Deprecated.
    `static String` | `NAME_ATTRIBUTE` | Deprecated.
    `static String` | `ORIENTATION` | Deprecated.
    `static String` | `REGEXP` | Deprecated.
    `static String` | `RESOLVE_ATTRIBUTE` | Deprecated.
    `static String` | `RIGHT_INDENT` | Deprecated.
    `static String` | `SPACE_ABOVE` | Deprecated.
    `static String` | `SPACE_BELOW` | Deprecated.
    `static String` | `STRIKE_THROUGH` | Deprecated.
    `static String` | `STYLE` | Deprecated.
    `static String` | `SUBSCRIPT` | Deprecated.
    `static String` | `SUPERSCRIPT` | Deprecated.
    `static String` | `TAB_SET` | Deprecated.
    `static String` | `UNDERLINE` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StructuredSyntaxHandler​(StructuredSyntaxDocumentFilter filter)` | Deprecated. Creates a new instance of MasterFrameHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `characters​(char[] ch, int start, int length)` | Deprecated.
    `void` | `endDocument()` | Deprecated.
    `void` | `endElement​(String uri, String localName, String qName)` | Deprecated.
    `void` | `error​(SAXParseException e)` | Deprecated.
    `void` | `startDocument()` | Deprecated.
    `void` | `startElement​(String uri, String localName, String qName, Attributes attributes)` | Deprecated.

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endPrefixMapping, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REGEXP

          public static final String REGEXP

      Deprecated.
      See Also:
        Constant Field Values

    - #### STYLE

          public static final String STYLE

      Deprecated.
      See Also:
        Constant Field Values

    - #### ALIGN_CENTER

          public static final String ALIGN_CENTER

      Deprecated.
      See Also:
        Constant Field Values

    - #### ALIGN_JUSTIFIED

          public static final String ALIGN_JUSTIFIED

      Deprecated.
      See Also:
        Constant Field Values

    - #### ALIGN_LEFT

          public static final String ALIGN_LEFT

      Deprecated.
      See Also:
        Constant Field Values

    - #### ALIGN_RIGHT

          public static final String ALIGN_RIGHT

      Deprecated.
      See Also:
        Constant Field Values

    - #### ALIGNMENT

          public static final String ALIGNMENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### BACKGROUND

          public static final String BACKGROUND

      Deprecated.
      See Also:
        Constant Field Values

    - #### BIDI_LEVEL

          public static final String BIDI_LEVEL

      Deprecated.
      See Also:
        Constant Field Values

    - #### BOLD

          public static final String BOLD

      Deprecated.
      See Also:
        Constant Field Values

    - #### COMPONENT_ATTRIBUTE

          public static final String COMPONENT_ATTRIBUTE

      Deprecated.
      See Also:
        Constant Field Values

    - #### COMPONENT_ELEMENT_NAME

          public static final String COMPONENT_ELEMENT_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### COMPOSED_TEXT_ATTRIBUTE

          public static final String COMPOSED_TEXT_ATTRIBUTE

      Deprecated.
      See Also:
        Constant Field Values

    - #### FIRST_LINE_INDENT

          public static final String FIRST_LINE_INDENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### FONT_FAMILY

          public static final String FONT_FAMILY

      Deprecated.
      See Also:
        Constant Field Values

    - #### FONT_SIZE

          public static final String FONT_SIZE

      Deprecated.
      See Also:
        Constant Field Values

    - #### FOREGROUND

          public static final String FOREGROUND

      Deprecated.
      See Also:
        Constant Field Values

    - #### ICON_ATTRIBUTE

          public static final String ICON_ATTRIBUTE

      Deprecated.
      See Also:
        Constant Field Values

    - #### ICON_ELEMENT_NAME

          public static final String ICON_ELEMENT_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### ITALIC

          public static final String ITALIC

      Deprecated.
      See Also:
        Constant Field Values

    - #### LEFT_INDENT

          public static final String LEFT_INDENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### LINE_SPACING

          public static final String LINE_SPACING

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODEL_ATTRIBUTE

          public static final String MODEL_ATTRIBUTE

      Deprecated.
      See Also:
        Constant Field Values

    - #### NAME_ATTRIBUTE

          public static final String NAME_ATTRIBUTE

      Deprecated.
      See Also:
        Constant Field Values

    - #### ORIENTATION

          public static final String ORIENTATION

      Deprecated.
      See Also:
        Constant Field Values

    - #### RESOLVE_ATTRIBUTE

          public static final String RESOLVE_ATTRIBUTE

      Deprecated.
      See Also:
        Constant Field Values

    - #### RIGHT_INDENT

          public static final String RIGHT_INDENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### SPACE_ABOVE

          public static final String SPACE_ABOVE

      Deprecated.
      See Also:
        Constant Field Values

    - #### SPACE_BELOW

          public static final String SPACE_BELOW

      Deprecated.
      See Also:
        Constant Field Values

    - #### STRIKE_THROUGH

          public static final String STRIKE_THROUGH

      Deprecated.
      See Also:
        Constant Field Values

    - #### SUBSCRIPT

          public static final String SUBSCRIPT

      Deprecated.
      See Also:
        Constant Field Values

    - #### SUPERSCRIPT

          public static final String SUPERSCRIPT

      Deprecated.
      See Also:
        Constant Field Values

    - #### TAB_SET

          public static final String TAB_SET

      Deprecated.
      See Also:
        Constant Field Values

    - #### UNDERLINE

          public static final String UNDERLINE

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StructuredSyntaxHandler

          public StructuredSyntaxHandler​(StructuredSyntaxDocumentFilter filter)

      Deprecated.
      Creates a new instance of MasterFrameHandler
      Parameters:
        `filter` -

  - ### Method Detail

    - #### characters

          public void characters​(char[] ch,
                                 int start,
                                 int length)

      Deprecated.
      Specified by:
        `characters` in interface `ContentHandler`
      Overrides:
        `characters` in class `DefaultHandler`

    - #### endDocument

          public void endDocument()
                           throws SAXException

      Deprecated.
      Specified by:
        `endDocument` in interface `ContentHandler`
      Overrides:
        `endDocument` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### endElement

          public void endElement​(String uri,
                                 String localName,
                                 String qName)
                          throws SAXException

      Deprecated.
      Specified by:
        `endElement` in interface `ContentHandler`
      Overrides:
        `endElement` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### error

          public void error​(SAXParseException e)
                     throws SAXException

      Deprecated.
      Specified by:
        `error` in interface `ErrorHandler`
      Overrides:
        `error` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### startDocument

          public void startDocument()
                             throws SAXException

      Deprecated.
      Specified by:
        `startDocument` in interface `ContentHandler`
      Overrides:
        `startDocument` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### startElement

          public void startElement​(String uri,
                                   String localName,
                                   String qName,
                                   Attributes attributes)
                            throws SAXException

      Deprecated.
      Specified by:
        `startElement` in interface `ContentHandler`
      Overrides:
        `startElement` in class `DefaultHandler`
      Throws:
        `SAXException`